Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519188 - Un-necessary Filter "Brick Status" in Brick Details [NEEDINFO]
Summary: Un-necessary Filter "Brick Status" in Brick Details
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-ui
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: RHGS 3.4.0
Assignee: Neha Gupta
QA Contact: Daniel Horák
URL:
Whiteboard:
Depends On:
Blocks: 1503134
TreeView+ depends on / blocked
 
Reported: 2017-11-30 11:05 UTC by Vijay Avuthu
Modified: 2018-09-04 07:01 UTC (History)
6 users (show)

Fixed In Version: tendrl-ansible-1.6.1-2.el7rhgs.noarch.rpm, tendrl-api-1.6.1-1.el7rhgs.noarch.rpm, tendrl-commons-1.6.1-1.el7rhgs.noarch.rpm, tendrl-monitoring-integration-1.6.1-1.el7rhgs.noarch.rpm, tendrl-node-agent-1.6.1-1.el7, tendrl-ui-1.6.1-1.el7rhgs.noarch.rpm,
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 07:00:31 UTC
amukherj: needinfo? (negupta)


Attachments (Terms of Use)
Brick status icon on brick details page (deleted)
2018-02-05 07:41 UTC, Neha Gupta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2616 None None None 2018-09-04 07:01:24 UTC

Description Vijay Avuthu 2017-11-30 11:05:50 UTC
Description of problem:

In Brick details on UI, there is pre-defined filter called "Brick Status" but there is no column called "Brick Status" .

So we have to add "Brick Status column" or Remove the filter "Brick Status"

Version-Release number of selected component (if applicable):

[root@gqas012 ~]# rpm -qa | grep -i tendrl
tendrl-selinux-1.5.4-1.el7rhgs.noarch
tendrl-ansible-1.5.4-2.el7rhgs.noarch
tendrl-api-1.5.4-3.el7rhgs.noarch
tendrl-monitoring-integration-1.5.4-8.el7rhgs.noarch
tendrl-node-agent-1.5.4-8.el7rhgs.noarch
tendrl-ui-1.5.4-4.el7rhgs.noarch
tendrl-grafana-plugins-1.5.4-8.el7rhgs.noarch
tendrl-notifier-1.5.4-5.el7rhgs.noarch
tendrl-commons-1.5.4-5.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-1.el7rhgs.noarch
tendrl-api-httpd-1.5.4-3.el7rhgs.noarch
[root@gqas012 ~]# 

How reproducible:

Always


Steps to Reproduce:
1. Open UI ( tendrl server )
2. Go to Clusters ---> Details ( clusters ) ---> Details ( Nodes ) 
3. Under Brick Details, select "brick Status"

Actual results:

There is no column to filter for "Brick Status"

Expected results:

Either we have to add/display column "Brick Status" or remove pre-defined "brick Status" from filter.



Additional info:

Comment 4 Neha Gupta 2018-02-05 07:41:50 UTC
Created attachment 1391375 [details]
Brick status icon on brick details page

Comment 5 Neha Gupta 2018-02-05 07:43:50 UTC
@vavuthu@redhat.com Brick path column shows the brick status on brick details page. Attaching screenshot for the same.

Comment 7 Daniel Horák 2018-05-14 13:24:59 UTC
On Bricks Details page for particular host (<cluster> -> Hosts -> <host>), the
filter based on Brick Status works as expected.

There are some problem with filter on Bricks Details page
(<cluster> -> Volumes -> <volume>) filed as new Bug 1577938.

Tested and verified on:
  tendrl-ansible-1.6.3-3.el7rhgs.noarch
  tendrl-api-1.6.3-3.el7rhgs.noarch
  tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
  tendrl-commons-1.6.3-4.el7rhgs.noarch
  tendrl-grafana-plugins-1.6.3-2.el7rhgs.noarch
  tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
  tendrl-monitoring-integration-1.6.3-2.el7rhgs.noarch
  tendrl-node-agent-1.6.3-4.el7rhgs.noarch
  tendrl-notifier-1.6.3-2.el7rhgs.noarch
  tendrl-selinux-1.5.4-2.el7rhgs.noarch
  tendrl-ui-1.6.3-1.el7rhgs.noarch

>> VERIFIED

Comment 10 errata-xmlrpc 2018-09-04 07:00:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.